## BraseroTrackDataCfg

BraseroTrackDataCfg

## Synopsis

    #define             BRASERO_DND_TARGET_DATA_TRACK_REFERENCE_LIST
    enum                BraseroTrackDataCfgColumn;
                        BraseroTrackDataCfg;
    BraseroTrackDataCfg * brasero_track_data_cfg_new        (void);
    gboolean            brasero_track_data_cfg_add          (BraseroTrackDataCfg *track,
                                                             const gchar *uri,
                                                             GtkTreePath *parent);
    GtkTreePath *       brasero_track_data_cfg_add_empty_directory
                                                            (BraseroTrackDataCfg *track,
                                                             const gchar *name,
                                                             GtkTreePath *parent);
    gboolean            brasero_track_data_cfg_remove       (BraseroTrackDataCfg *track,
                                                             GtkTreePath *treepath);
    gboolean            brasero_track_data_cfg_rename       (BraseroTrackDataCfg *track,
                                                             const gchar *newname,
                                                             GtkTreePath *treepath);
    gboolean            brasero_track_data_cfg_reset        (BraseroTrackDataCfg *track);
    gboolean            brasero_track_data_cfg_load_medium  (BraseroTrackDataCfg *track,
                                                             BraseroMedium *medium,
                                                             GError **error);
    void                brasero_track_data_cfg_unload_current_medium
                                                            (BraseroTrackDataCfg *track);
    BraseroMedium *     brasero_track_data_cfg_get_current_medium
                                                            (BraseroTrackDataCfg *track);
    GSList *            brasero_track_data_cfg_get_available_media
                                                            (BraseroTrackDataCfg *track);
    void                brasero_track_data_cfg_dont_filter_uri
                                                            (BraseroTrackDataCfg *track,
                                                             const gchar *uri);
    GSList *            brasero_track_data_cfg_get_restored_list
                                                            (BraseroTrackDataCfg *track);
    void                brasero_track_data_cfg_restore      (BraseroTrackDataCfg *track,
                                                             GtkTreePath *treepath);
    GtkTreeModel *      brasero_track_data_cfg_get_filtered_model
                                                            (BraseroTrackDataCfg *track);
    BraseroBurnResult   brasero_track_data_cfg_span         (BraseroTrackDataCfg *track,
                                                             goffset sectors,
                                                             BraseroTrackData *new_track);
    BraseroBurnResult   brasero_track_data_cfg_span_again   (BraseroTrackDataCfg *track);
    BraseroBurnResult   brasero_track_data_cfg_span_possible
                                                            (BraseroTrackDataCfg *track,
                                                             goffset sectors);
    void                brasero_track_data_cfg_span_stop    (BraseroTrackDataCfg *track);
    gchar *             brasero_track_data_cfg_get_icon_path
                                                            (BraseroTrackDataCfg *track);
    gboolean            brasero_track_data_cfg_set_icon     (BraseroTrackDataCfg *track,
                                                             const gchar *path,
                                                             GError **error);

## Description

## Details

### BRASERO_DND_TARGET_DATA_TRACK_REFERENCE_LIST

    #define BRASERO_DND_TARGET_DATA_TRACK_REFERENCE_LIST	"GTK_TREE_MODEL_ROW"

### enum BraseroTrackDataCfgColumn

    typedef enum {
    	BRASERO_DATA_TREE_MODEL_NAME		= 0,
    	BRASERO_DATA_TREE_MODEL_URI,
    	BRASERO_DATA_TREE_MODEL_MIME_DESC,
    	BRASERO_DATA_TREE_MODEL_MIME_ICON,
    	BRASERO_DATA_TREE_MODEL_SIZE,
    	BRASERO_DATA_TREE_MODEL_SHOW_PERCENT,
    	BRASERO_DATA_TREE_MODEL_PERCENT,
    	BRASERO_DATA_TREE_MODEL_STYLE,
    	BRASERO_DATA_TREE_MODEL_COLOR,
    	BRASERO_DATA_TREE_MODEL_EDITABLE,
    	BRASERO_DATA_TREE_MODEL_IS_FILE,
    	BRASERO_DATA_TREE_MODEL_IS_LOADING,
    	BRASERO_DATA_TREE_MODEL_IS_IMPORTED,
    	BRASERO_DATA_TREE_MODEL_COL_NUM
    } BraseroTrackDataCfgColumn;

### BraseroTrackDataCfg

    typedef struct {
    	BraseroTrackData parent_instance;
    } BraseroTrackDataCfg;

### brasero_track_data_cfg_new ()

    BraseroTrackDataCfg * brasero_track_data_cfg_new        (void);

Returns : |

### brasero_track_data_cfg_add ()

    gboolean            brasero_track_data_cfg_add          (BraseroTrackDataCfg *track,
                                                             const gchar *uri,
                                                             GtkTreePath *parent);

`track` : |
`uri` : |
`parent` : |
Returns : |

### brasero_track_data_cfg_add_empty_directory ()

    GtkTreePath *       brasero_track_data_cfg_add_empty_directory
                                                            (BraseroTrackDataCfg *track,
                                                             const gchar *name,
                                                             GtkTreePath *parent);

`track` : |
`name` : |
`parent` : |
Returns : |

### brasero_track_data_cfg_remove ()

    gboolean            brasero_track_data_cfg_remove       (BraseroTrackDataCfg *track,
                                                             GtkTreePath *treepath);

`track` : |
`treepath` : |
Returns : |

### brasero_track_data_cfg_rename ()

    gboolean            brasero_track_data_cfg_rename       (BraseroTrackDataCfg *track,
                                                             const gchar *newname,
                                                             GtkTreePath *treepath);

`track` : |
`newname` : |
`treepath` : |
Returns : |

### brasero_track_data_cfg_reset ()

    gboolean            brasero_track_data_cfg_reset        (BraseroTrackDataCfg *track);

`track` : |
Returns : |

### brasero_track_data_cfg_load_medium ()

    gboolean            brasero_track_data_cfg_load_medium  (BraseroTrackDataCfg *track,
                                                             BraseroMedium *medium,
                                                             GError **error);

`track` : |
`medium` : |
`error` : |
Returns : |

### brasero_track_data_cfg_unload_current_medium ()

    void                brasero_track_data_cfg_unload_current_medium
                                                            (BraseroTrackDataCfg *track);

`track` : |

### brasero_track_data_cfg_get_current_medium ()

    BraseroMedium *     brasero_track_data_cfg_get_current_medium
                                                            (BraseroTrackDataCfg *track);

`track` : |
Returns : |

### brasero_track_data_cfg_get_available_media ()

    GSList *            brasero_track_data_cfg_get_available_media
                                                            (BraseroTrackDataCfg *track);

`track` : |
Returns : |

### brasero_track_data_cfg_dont_filter_uri ()

    void                brasero_track_data_cfg_dont_filter_uri
                                                            (BraseroTrackDataCfg *track,
                                                             const gchar *uri);

`track` : |
`uri` : |

### brasero_track_data_cfg_get_restored_list ()

    GSList *            brasero_track_data_cfg_get_restored_list
                                                            (BraseroTrackDataCfg *track);

`track` : |
Returns : |

### brasero_track_data_cfg_restore ()

    void                brasero_track_data_cfg_restore      (BraseroTrackDataCfg *track,
                                                             GtkTreePath *treepath);

`track` : |
`treepath` : |

### brasero_track_data_cfg_get_filtered_model ()

    GtkTreeModel *      brasero_track_data_cfg_get_filtered_model
                                                            (BraseroTrackDataCfg *track);

`track` : |
Returns : |

### brasero_track_data_cfg_span ()

    BraseroBurnResult   brasero_track_data_cfg_span         (BraseroTrackDataCfg *track,
                                                             goffset sectors,
                                                             BraseroTrackData *new_track);

`track` : |
`sectors` : |
`new_track` : |
Returns : |

### brasero_track_data_cfg_span_again ()

    BraseroBurnResult   brasero_track_data_cfg_span_again   (BraseroTrackDataCfg *track);

`track` : |
Returns : |

### brasero_track_data_cfg_span_possible ()

    BraseroBurnResult   brasero_track_data_cfg_span_possible
                                                            (BraseroTrackDataCfg *track,
                                                             goffset sectors);

`track` : |
`sectors` : |
Returns : |

### brasero_track_data_cfg_span_stop ()

    void                brasero_track_data_cfg_span_stop    (BraseroTrackDataCfg *track);

`track` : |

### brasero_track_data_cfg_get_icon_path ()

    gchar *             brasero_track_data_cfg_get_icon_path
                                                            (BraseroTrackDataCfg *track);

`track` : |
Returns : |

### brasero_track_data_cfg_set_icon ()

    gboolean            brasero_track_data_cfg_set_icon     (BraseroTrackDataCfg *track,
                                                             const gchar *path,
                                                             GError **error);

`track` : |
`path` : |
`error` : |
Returns : |